<% if current_user.present? %>
  <% if current_user.role != 'executive' %>
    <div class="main-navbar sticky-top bg-white">
      <nav class="navbar align-items-stretch navbar-light flex-md-nowrap p-0">
            
        <div class="w-100 d-none d-md-flex d-lg-flex">
          <h5 class='logo-container'><%= link_to 'Case Management', staff_dashboard_path, style: "padding-left:10px;" %></h5>
        </div>

        <ul class="navbar-nav flex-row menu-links">
          <li class="text-center border-left">
            <%= link_to "Cases", staff_cases_path, class: "nav-link nav-link-icon text-center" %>
          </li>
          <li class="text-center border-left">
            <%= link_to "Users", staff_users_path, class: "nav-link nav-link-icon text-center" %>
          </li>
          <li class="text-center border-left">
            <%= link_to "Clients", staff_clients_path, class: "nav-link nav-link-icon text-center" %>
          </li>
        </ul>

        <ul class="navbar-nav border-left flex-row">
          <li class="nav-item dropdown">
            <% if current_user.present? %>
              <%= link_to '#', class: 'nav-link dropdown-toggle text-nowrap px-3', 'data-toggle': 'dropdown', 'role': 'button', 'aria-haspopup': 'true', 'aria-expanded': 'false' do %>
                <%= image_tag current_user.photo.url, class: 'user-avatar rounded-circle mr-2' %>
                <span class="d-none d-md-inline-block"><%= current_user.name || current_user.email %></span>
              <% end %>
            
              <div class="dropdown-menu dropdown-menu-small" style="display: none;">
                <%= link_to destroy_user_session_path, method: :delete,  class: 'dropdown-item text-danger' do %>
                  <i class="material-icons text-danger"></i> Logout 
                <% end %>
              </div>
            <% end %>
          </li>
        </ul>

      </nav>
    </div>
  <% end %>

  <% if current_user.role == 'executive' %>
    <div class="main-navbar sticky-top bg-white">
      <nav class="navbar align-items-stretch navbar-light flex-md-nowrap p-0">
              
        <div class="w-100 d-none d-md-flex d-lg-flex">
          <h5 class='logo-container'><%= link_to 'Case Management', executive_cases_path, style: "padding-left:10px;" %></h5>
        </div>

        <ul class="navbar-nav flex-row menu-links">
          <li class="text-center border-left">
            <%= link_to "Assigned Cases", executive_cases_path, class: "nav-link nav-link-icon text-center", style: "white-space: nowrap; padding: 0 5px;"  %>
          </li>
          <li class="text-center border-left">
            <%= link_to "Verified Cases", verification_completed_executive_cases_path, class: "nav-link nav-link-icon text-center", style: "white-space: nowrap; padding: 0 5px;" %>
          </li>
          
        </ul>

        <ul class="navbar-nav border-left flex-row">
          <li class="nav-item dropdown">
            <% if current_user.present? %>
              <%= link_to '#', class: 'nav-link dropdown-toggle text-nowrap px-3', 'data-toggle': 'dropdown', 'role': 'button', 'aria-haspopup': 'true', 'aria-expanded': 'false' do %>
                <%= image_tag current_user.photo.url, class: 'user-avatar rounded-circle mr-2' %>
                <span class="d-none d-md-inline-block"><%= current_user.name || current_user.email %></span>
              <% end %>
            
              <div class="dropdown-menu dropdown-menu-small" style="display: none;">
                <%= link_to destroy_user_session_path, method: :delete,  class: 'dropdown-item text-danger' do %>
                  <i class="material-icons text-danger"></i> Logout 
                <% end %>
              </div>
            <% end %>
          </li>
        </ul>
      </nav>
    </div>
  <% end %>
<% end %>



